attrib -r %WINDIR%\system32\drivers\etc\hosts

SET NEWLINE=^& echo.

FIND /C /I "asc55.iobit.com/check.php" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1                   asc55.iobit.com/check.php>>%WINDIR%\system32\drivers\etc\hosts

FIND /C /I "iobit.com" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1                   iobit.com/check.php>>%WINDIR%\system32\drivers\etc\hosts

FIND /C /I "onhax.net" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1                   onhax.net/check.php>>%WINDIR%\system32\drivers\etc\hosts

FIND /C /I "www.onhax.net" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.2                   www.onhax.net/check.php>>%WINDIR%\system32\drivers\etc\hosts


FIND /C /I "forum.onhax.net" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.2                   forum.onhax.net/check.php>>%WINDIR%\system32\drivers\etc\hosts

attrib +r %WINDIR%\system32\drivers\etc\hosts   

